AgentUpgrade_result (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.commands.AgentUpgrade_result class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.commands
Class AgentUpgrade_result

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.agent.commands.AgentUpgrade_result

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class AgentUpgrade_result

extends AgentRemoteValue

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `BUILD`
`static java.lang.String` | `BUNDLE_NAME`
`static java.lang.String` | `VERSION`

Constructor Summary
`AgentUpgrade_result(AgentRemoteValue args)`
`AgentUpgrade_result(java.lang.String version, java.lang.String build, java.lang.String bundleName)`

Method Summary
`java.lang.String` | `getAgentBuild()`
`java.lang.String` | `getAgentBundleName()`
`java.lang.String` | `getAgentVersion()`
`void` | `setValue(java.lang.String key, java.lang.String val)` Setup a key/value pair.

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### BUILD

    public static final java.lang.String BUILD

See Also:
  Constant Field Values

### BUNDLE_NAME

    public static final java.lang.String BUNDLE_NAME

See Also:
  Constant Field Values

Constructor Detail

### AgentUpgrade_result

    public AgentUpgrade_result(java.lang.String version,
                               java.lang.String build,
                               java.lang.String bundleName)

### AgentUpgrade_result

    public AgentUpgrade_result(AgentRemoteValue args)
                        throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### getAgentVersion

    public java.lang.String getAgentVersion()

### getAgentBuild

    public java.lang.String getAgentBuild()

### getAgentBundleName

    public java.lang.String getAgentBundleName()

### setValue

    public void setValue(java.lang.String key,
                         java.lang.String val)

  Description copied from class: `AgentRemoteValue`
  Setup a key/value pair.

  Specified by:
    `setValue` in interface `GenericValueMap`
  Overrides:
    `setValue` in class `AgentRemoteValue`
  Parameters:
    `key` - Key to assign the value to
    `val` - Value to assign to the key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.